%define  patch_name kernel-fix-drivers-sound

Name: %patch_name
Version: 2005.07.02
Release: alt1

Summary: %patch_name kernel patch - Linux sound driver fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	2.4_00_module_license.patch	2.4

%source 2601	2.6_01_fm810-more-pciid.patch				2.6


BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux sound driver fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_02_fix-stereo-mutes.patch
  - 2.6_03_alsa-timer-fix.patch
  - 2.6_04_usbaudio-prevent-oops-on-usb-unplug.patch
  - 2.6_05_usbusx2y-prevent-oops-on-usb-unplug.patch

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_04_usbaudio-prevent-oops-on-usb-unplug.patch: fix oops and lockup on
    usbaudio unplug
  + 2.6_05_usbusx2y-prevent-oops-on-usb-unplug.patch: fix oops and lockup on
    usbusx2y unplug

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_03_alsa-timer-fix.patch: fix bugs (possible oopses) in ALSA timer code

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_02_fix-stereo-mutes.patch: fix stereo mutes on Surround volume control

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_060-alsa_cs4231_lib_ifdef_typo.patch
  - 2.6_00_061-alsa_es18xx_ifdef_typo.patch
  - 2.6_00_062-alsa_sscape_user_copy_check.patch
  - 2.6_00_063-alsa_opl4_build_fix.patch
  - 2.6_00_064-alsa_usbaudio_disconnect.patch
  - 2.6_00_065-alsa_vx_kcalloc.patch
  - 2.6_00_069-alsa_sscape_upload_firmware_len.patch
  - 2.6_00_070-alsa_rme9652_hdsp_get_autosync.patch
  - 2.6_00_071-alsa_creation_order_fixes.patch

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_060-alsa_cs4231_lib_ifdef_typo.patch
  + 2.6_00_061-alsa_es18xx_ifdef_typo.patch
  + 2.6_00_062-alsa_sscape_user_copy_check.patch
  + 2.6_00_063-alsa_opl4_build_fix.patch
  + 2.6_00_064-alsa_usbaudio_disconnect.patch
  + 2.6_00_065-alsa_vx_kcalloc.patch
  + 2.6_00_069-alsa_sscape_upload_firmware_len.patch
  + 2.6_00_070-alsa_rme9652_hdsp_get_autosync.patch
  + 2.6_00_071-alsa_creation_order_fixes.patch

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2004.10.20-alt1
- Added for 2.6.9:
    - 2.6_01_fm810-more-pciid.patch: new PCI ids (#4749)

* Thu May 06 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.06-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches:
  - 01_i810_audio-new-ids.patch

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 01_i810_audio-new-ids.patch: new PCI ids (ICH6, ESB).

* Wed Jan 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.21-alt1
- Updated for kernel 2.4.24.
- Removed patches (upstream):
  - 01_i810_audio-leak.patch
  - 02_ymfpci-oops.patch
  - 03_forte-update.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 03_forte-update.patch: forte sound driver update (fixes many bugs,
    including calling BUG() on failed memory allocation instead of
    returning -ENOMEM).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 01_i810_audio-leak.patch
  + 02_ymfpci-oops.patch

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- Initial release.
- 00_module_license.patch: add missing MODULE_LICENSE

